// 相册部分的上传 
// ----------------- 弹出上传框 ------------------ 
function upload_manage(postion, file_id, ck_status){
	ck_status = ck_status?1:0;		// 重新把添加写入 
	if(!file_id || file_id == 'undefined'){ 
		file_id = '';
	}
	add_html = '<input type="hidden" id="uimg_ck_status" value="'+ck_status+'"/>'+ 
			   '<a href="javascript:;" class="insert_button" onclick="upload_insert(\''+postion+'\',\''+file_id+'\');">插入图片</a>';
	if($('.dg_box_bar').length > 0){
		$(".dg_box_bar").show(); 
		$(".dg_bgcolor").show();
		
		$(".uimg_ck_box").html(''); 
		$(".uimg_img .img").each(function(v){ 
			$(this).removeClass('uimg_ck').attr('data-ck', false).find('i').html('');
		}); 
		$("#uimg_ck_status").val(ck_status); 
	}else{
		dialog = '<div class="dg_bgcolor"></div>'+
			'<div class="dg_box_bar">'+
				'<div class="dg_box" id="dg_box"><div class="dg_box_main">'+
					'<div class="name"><span>图片管理</span><em onclick="img_close();">×</em></div>'+
					'<div class="con uimg_box" style="border-top:1px solid #efefef;">'+
						'<div class="uimg_menu">'+
							'<div class="atree_box">'+
								'<div class="atree_box_one type_0 ptype_0">'+
									'<a href="javascript:;" data-id="0" class="open ck"><i class="icon"></i><span>全部分类</span></a>'+
								'</div>'+
							'</div>'+
						'</div> <input type="hidden" id="uimg_menu_type" value="0"/>'+
						'<div class="uimg_con">'+
							'<div class="uimg_img">&nbsp;</div>'+
							'<div class="uimg_do">'+
								'<div class="upload_button"><a href="javascript:;" class="file">上传图片<input type="file" name="images[]" multiple="multiple" id="upimg_button"/></a></div>'+
								'<div class="uimg_page">&nbsp;</div>'+
							'</div>'+
						'</div>'+
					'</div>'+
					'<div class="uimg_ck_box"></div>'+
					'<div class="uimg_insert"></div>'+ 
				'</div></div>'+
			'</div>';
		$("body").after(dialog).find(".dg_box_bar").css({opacity:'0', marginTop:'-10px'}).animate({opacity:'1', marginTop:'0'},200); 
		width = 830;
		height = 508;
		$(".dg_box_main").css({"width":width, "height":height, "left": $(window).width()/2 - width/2, "top": $(window).height()/2 - height/2 -130 }).addClass('ch');
		// $(".dg_box").css({"background":'#efefef'});
		album_menu('0');
		album_slist('0');
		$("#uimg_menu_type").val('0'); 
	}
	$(".uimg_insert").html(add_html); 
	
	//$(".dg5_box").append('<div class="up_progress"></div>');
	//$(".dg5_box").append('<div class="up_progress"><div class="pgr_box"><div class="pgr_one pgr_one_1"><span><em>dsadsadsadsa.jpg</em><strong>排队中...</strong></span><i></i></div></div></div>'); 
}

function album_menu(pid){
	$.get(SELLER+'album/ajax_type?pid='+pid, function(result){ 
		data = jQuery.parseJSON(result);
		if(data.error == '0'){
			html = '<div class="atree_box">';
			$.each(data.list, function(i,k){
				html += '<div class="atree_box_one type_'+k.id+' ptype_'+k.pid+'"><a href="javascript:;" data-id="'+k.id+'"><i class="icon"></i><span>'+k.name+'</span></a></div>';
			});
			html += '</div>';
			$(".atree_box .type_"+pid+" a").after(html); 
		} 
	});
}

$(document).on('click', '.atree_box_one a', function(){ 
	$this = $(this); 
	pid = $this.attr('data-id');
	if($this.hasClass('open')){
		$this.removeClass('open');
		$this.nextAll().remove(); 
	}else{
		$this.addClass('open');
		album_menu(pid); 
	} 
	album_slist(pid); 
	$("#uimg_menu_type").val(pid); 
	// 选中当前 
	slc.removeClass('ck');	
	$this.addClass('ck'); 								 
});

// 相册右侧的内容
function album_slist(ptype){ 
	ptype = ptype?ptype:0; 
	$.get(SELLER+'album/ajax_list?type='+ptype, function(result){ 
		data = jQuery.parseJSON(result); 
		album_slist_html(data);
	});
}

function album_slist_html(result){
	html = '';
	$.each(result.list, function(i,k){
		html += '<div class="img img_'+k.id+'" data-id="'+k.id+'" data-name="'+k.url+'">'+
					'<img src="'+k.images+'" data-name="'+k.url+'"/><i></i>'+
				'</div>'; 
	}); 
	$(".uimg_img").html(html);
	$(".uimg_page").html(result.page);
	$(".uimg_ck_box").html('');
}

// 分页操作
$(document).on('click', ".uimg_page a", function(event){ 
	var jump_url = $(this).attr('href');
	if(jump_url){
		$.getJSON(jump_url, function(result){
			album_slist_html(result);
		});
	} 
	if(window.event){
		window.event.returnValue = false;
	}else{  
		event.preventDefault();	 //for firefox
	}
}); 

// 选中图片的操作
$(document).on("click",".uimg_img .img",function(){
	$this = $(this); 
	data_id = $this.attr('data-id');
	img_url = $this.find('img').attr('src');
	img_name = $this.find('img').attr('data-name');
	ck_status = $("#uimg_ck_status").val(); 
	if(ck_status == '1'){ 	//多选
		is_ck = $this.attr('data-ck');
		if(is_ck == 'ck'){ 
			$this.removeClass('uimg_ck').attr('data-ck',false); 
			$(".ck_value_"+data_id).remove();
			$(".ck_name_"+data_id).remove(); 
			$this.find('i').html('');
		}else{ 
			$this.addClass('uimg_ck').attr('data-ck', 'ck'); 
			$(".ck_value_"+data_id).remove();
			$(".ck_name_"+data_id).remove(); 
			$('.uimg_ck_box').append('<div style="display:none;" class="uimg_ck_value ck_value_'+data_id+'" data-id="'+data_id+'" data-url="'+img_url+'" data-name="'+img_name+'"/>');
		}
		$this.find('i').removeAttr("style");
		px_sort();
	}else{	//单选 
		$this.addClass('uimg_ck').attr('data-ck', 'ck').siblings().removeClass('uimg_ck'); 
		$this.find('i').css("background", 'none').css({"background-image": "url(../../public/images/img_ck.png)"}).html('');
		$('.uimg_ck_box').html('<div style="display:none;" class="uimg_ck_value ck_value_'+data_id+'" data-id="'+data_id+'" data-url="'+img_url+'" data-name="'+img_name+'"/>');
	}
});

// 重新排序
function px_sort(){ 
	$(".uimg_ck_box .uimg_ck_value").each(function(v){ 
		vid = parseInt(v)+parseInt(1);
		img_id = $(this).attr('data-id');
		$(".img_"+img_id+" i").html(vid);
	}); 
}

// --------------------------弹窗的上传-------------------------
var file;
$(document).on('change', ".upload_button #upimg_button,#imgFile", function(e){
	up_arr = [];
	file  = e.currentTarget.files;
	$("body").after('<div class="up_progress"></div>');
	for(var i=0; i < file.length; i++){ 
		up_arr.push(i);
		html_con = '<div class="pgr_one pgr_one_'+i+'"><span><em>'+file[i].name+'</em><strong>排队中...</strong></span><i></i></div>';
		if($('.pgr_box .pgr_one').length > 0){ 
			$('.pgr_box .pgr_one:last-child').after(html_con);
		}else{
			$('.up_progress').html('<div class="pgr_box">'+html_con+'</div>');
		}
	}
	total_num = up_arr.length; 
	upload_func(up_arr, total_num); 
});

function upload_func(up_arr, total_num){
	file_id = up_arr.shift();
	if(file_id == undefined || file_id === ''){
		$(".pgr_box").remove();
		$.alert('上传结束', function(){
			if($(".dg_box").length == 0){
				location.reload();	
			}
		}); 
	}else{
		if(!file[file_id]['name'].match(/.jpg|.gif|.jpeg|.png/i)){　　//判断上传文件格式 
			$.alert(file[file_id]['name']+' 上传的图片格式不正确，请重新选择'); 
		}
		var fd = new FormData();
		fd.append("myfile", file[file_id]);
		pid = $("#pid").val();
		if(pid == undefined || pid == ''){
			pid = '0';
		}
		var uploadUrl = SELLER+"album/upload?path=goods&cid="+pid; 
		$.ajax({
			type: "POST",
			url: uploadUrl, 
			data: fd,
			processData: false, 		// 告诉jQuery不要去处理发送的数据
			contentType: false, 		// 告诉jQuery不要去设置Content-Type请求头
			xhr: function(){ 
				xhr = $.ajaxSettings.xhr();
				if(xhr.upload){
					xhr.upload.addEventListener("progress" ,(function(evt){
						pct = Math.floor(100*evt.loaded/evt.total); 				//已经上传大小情况/ 附件总大小  
						if(pct == 100){
							$('.pgr_one_'+file_id+" i").css("width", "100%"); 
							$('.pgr_one_'+file_id).find('span strong').html("同步中..."); 
						}else{
							$('.pgr_one_'+file_id+" i").css("width", pct+"%"); 
							$('.pgr_one_'+file_id).find('span strong').html("上传中..."); 
						}
					}), false);
					return xhr;
				}
			},
			success(result){
				data = jQuery.parseJSON(result);
				if(data.error == '0'){
					$('.pgr_one_'+file_id).find('span strong').html("上传成功"); 
					$('.pgr_one_'+file_id).remove(); 
				}else{
					$('.pgr_one_'+file_id).find('span strong').html(data.msg); 
					$('.pgr_one_'+file_id).remove(); 
					alert('中止上传：'+data.msg);
					return;
				}
				if($(".dg_box").length > 0){
					// 上传默认全部选中
					html_con =  '<div class="img img_'+data.id+' uimg_ck" data-id="'+data.id+'" data-name="'+data.name+'" data-ck="ck">'+
								'<img src="'+data.url+'" data-name="'+data.name+'"><i></i></div>'; 
					if($('.uimg_img .img').length > 0){ 
						$('.uimg_img .img:first-child').before(html_con);
					}else{
						$('.uimg_img').html(html_con);
					}
					// 加入选择
					$('.uimg_ck_box').append('<div style="display:none;" class="uimg_ck_value ck_value_'+data.id+'" data-id="'+data.id+'" data-url="'+data.url+'" data-name="'+data.name+'"/>');
					// 加入排序
					px_sort(); 
				} 
				setTimeout(function(){
					upload_func(up_arr, total_num);					
				}, 0);
			}
		}); 
	} 
}

/*内容*/
function con_html(arr){
	return '<div class="abox">'+
		'<div class="img"><a href="javascript:;"><img src="'+arr.images+'"><input type="checkbox" name="ck_img" value="'+arr.id+'"/></a><i></i></div>'+
		'<div class="opt">'+
			'<div class="rt">'+
				'<a href="javascript:;" class="copy" data-url="'+arr.url+'" title="复制">复制</a>'+
				'<a href="javascript:;" data-id="'+arr.id+'" data-type="'+arr.utype+'" class="del" data-ntag="1" title="删除">删除</a>'+
			'</div>'+
		'</div>'+
	'</div>'; 
} 

// 关闭弹窗
function img_close(){
	$(".dg_box_bar").hide(); 
	$(".dg_bgcolor").hide();
}
